# Lono Pro Addon

[![BoltOps Badge](https://img.boltops.com/boltops/badges/boltops-badge.png)](https://www.boltops.com)

Lono pro is a paid addon that adds additional features to [lono](https://lono.cloud).  Notably, the `lono code import` and `lono code convert` commands.

The conversion process gets you 80% of the way here. It saves you time.

## Usage

### lono code convert

The `lono code convert` takes an existing JSON or YAML CloudFormation template and converts it to Ruby code.  The Ruby code is printed to standard out.

### lono code import

The `lono code import` converts the template, and also adds it to a generated starter blueprint.

## Installation

Add this line to your lono project's Gemfile:

```ruby
gem "lono-pro"
```

And then execute:

    $ bundle

You install with the gem command also:

    gem install lono-pro

## API Access

Lono Pro uses an API to perform the code conversion.  Currently, access to this API service is provided at no cost. In the future, API access will be provided to only [BoltOps Pro](https://www.boltops.com/pro) customers.
